@font-face {
    font-family: "Mont";
    src: url('../font/Mont-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}


body {
    background-color: #000;
    font-family: "Mont", sans-serif;
    font-size: 18px;
    color: #fff;
    line-height: 1.3;
    font-weight: 300;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

a {
    color: #fff;
    text-decoration: none;
    transition: all ease-in-out 0.3s;
}

a:hover {
    color: #fff;
}

.site-branding {
    max-width: 350px;
}

.site-header {
    position: relative;
    z-index: 5;
    padding: 30px 0;
    background-color: #1a1a1a;
    box-shadow: 0 15px 30px 0 rgba(0,0,0,0.6);
    -webkit-box-shadow: 0 15px 30px 0 rgba(0,0,0,0.6);
    -moz-box-shadow: 0 15px 30px 0 rgba(0,0,0,0.6);
}


.custom-logo-link:hover {
    transform: scale(1.05);
}

.site-header__inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-socials a {
    height: 80px;
    width: 80px;
    display: inline-block;
}

.header-socials a:hover {
    transform: scale(1.05);
}

.header-socials a:not(:last-child) {
    margin-right: 45px;
}

.container {
    max-width: 1700px;
    margin: 0 auto;
    padding: 0 15px;
}

.hero {
    position: relative;
}

.hero:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0, 0.2);
    z-index: 1;
}

.hero__img {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.hero__inner {
    min-height: 940px;
    padding: 120px 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    z-index: 1;
}

.hero__title {
    max-width: 900px;
    margin-bottom: 40px;
}

.hero__title h2 {
    font-size: 80px;
    text-transform: uppercase;
    font-weight: 300;
    margin-bottom: 0;
    line-height: 1.2;
}

.hero__title p {
    font-size: 37px;
}

.hero__contact h3 {
    font-size: 70px;
    line-height: 1;
    text-transform: uppercase;
}

.hero__contact a {
    position: relative;
    display: inline-block;
}

.hero__contact a:before {
    content: '';
    width: 0;
    height: 1px;
    background-color: #fff;
    position: absolute;
    left: 0;
    bottom: 0;
    display: block;
    transition: all ease-in-out 0.3s;
}

.hero__contact a:hover:before {
    width: 100%;
}

.hero__contact p {
    font-size: 37px;
}

.sub-hero {
    font-size: 56px;
    color: #fff;
    background-color: #1a1a1a;
    padding: 35px 0;
    text-align: center;
}

.info {
    position: relative;
}

.info__content {
    min-height: 880px;
    padding: 100px 0 80px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    z-index: 1;
}

.info__img {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

.info__text {
    font-size: 30px;
    max-width: 900px;
    margin: 0 auto 100px;
}

.info__list {
    font-size: 37px;
    max-width: 420px;
    margin: 0 auto;
}

.info__list h2 {
    font-size: 70px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.gallery {
    background-color: #1a1a1a;
    padding-top: 20px;
}

.gallery__inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.gallery__item {
    flex: 0 0 calc(20% - 20px);
    margin: 20px 10px 0 10px;
    position: relative;
}

.gallery__item {

}

.gallery__item:hover:before {
    visibility: visible;
    opacity: 1;
}

.gallery__item:hover .gallery__icon {
    visibility: visible;
    opacity: 1;
}

.gallery__item:before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0, 0.7);
    visibility: hidden;
    opacity: 0;
    transition: all ease-in-out 0.3s;
}

.gallery__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery__icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    visibility: hidden;
    opacity: 0;
    transition: all ease-in-out 0.3s;
}

.not-found {
    padding: 100px 15px;
    text-align: center;
}

.not-found h1 {
    font-size: 40px;
}

.not-found h2 {
    font-size: 30px;
}

@media(max-width: 1600px) {
    .header-socials a {
        height: 60px;
        width: 60px;
        display: inline-block;
    }

    .header-socials a:not(:last-child) {
        margin-right: 15px;
    }

    .site-branding {
        max-width: 250px;
    }

    .hero__inner {
        min-height: 770px;
        padding: 100px 0;
    }

    .sub-hero {
        font-size: 56px;
    }

}

@media(max-width: 1200px) {
    .hero__inner {
        min-height: 670px;
    }

    .hero__title h2 {
        font-size: 70px;
    }

    .hero__contact h3 {
        font-size: 60px;
    }

    .sub-hero {
        font-size: 50px;
    }

    .info__content {
        padding: 100px 0 80px;
    }

}

@media(max-width: 991px) {
    .hero__title h2 {
        font-size: 60px;
    }

    .hero__contact h3 {
        font-size: 50px;
    }

    .hero__title p {
        font-size: 30px;
    }

    .hero__contact p {
        font-size: 30px;
    }


    .sub-hero {
        font-size: 40px;
    }

    .info__content {
        min-height: 1px;
        padding: 50px 0 ;
    }

    .info__list {
        font-size: 30px;
    }

    .info__list h2 {
        font-size: 50px;
    }

    .info__text {
        margin-bottom: 40px;
    }

    .gallery__item {
        flex: 0 0 calc(25% - 20px);
    }
}

@media(max-width: 767px) {

    .site-branding {
        max-width: 180px;
    }

    .header-socials a {
        height: 40px;
        width: 40px;
    }

    .hero__inner {
        min-height: 400px;
        padding: 50px 0;
    }

    .hero__title h2 {
        font-size: 50px;
    }

    .hero__contact h3 {
        font-size: 40px;
    }

    .hero__title p {
        font-size: 24px;
    }

    .hero__contact p {
        font-size: 24px;
    }

    .sub-hero {
        font-size: 36px;
    }

    .info__text {
        font-size: 24px;
    }

    .info__list {
        font-size: 24px;
    }

    .info__list h2 {
        font-size: 40px;
    }

    .gallery__item {
        flex: 0 0 calc(33.33% - 20px);
    }

    .not-found {
        padding: 50px 15px;
    }
}

@media(max-width: 400px) {
    .site-branding {
        max-width: 140px;
    }

    .header-socials a {
        height: 30px;
        width: 30px;
    }

    .header-socials a:not(:last-child) {
        margin-right: 10px;
    }

    .hero__title h2 {
        font-size: 40px;
    }

    .hero__contact h3 {
        font-size: 36px;
    }

    .sub-hero {
        font-size: 30px;
    }

    .gallery__item {
        flex: 0 0 calc(50% - 20px);
    }
}

